Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.fonts
Class Glyphs

    java.lang.Object
      org.apache.fop.fonts.Glyphs

Deprecated. Use the Glyphs class from XML Graphics Commons instead!

    public final class Glyphs

extends java.lang.Object

This class provides a number of constants for glyph management.

Field Summary
`static java.lang.String[]` | `MAC_GLYPH_NAMES` Deprecated. Glyph names for Mac encoding
`static java.lang.String` | `NOTDEF` Deprecated. Glyph name for the "notdef" glyph
`static java.lang.String[]` | `TEX8R_GLYPH_NAMES` Deprecated. Glyph names for tex8r encoding
`static java.lang.String[]` | `UNICODE_GLYPHS` Deprecated. List of unicode glyphs
`static char[]` | `WINANSI_ENCODING` Deprecated. The characters in WinAnsiEncoding

Method Summary
`static java.lang.String` | `charToGlyphName(char ch)` Deprecated. Return the glyphname from a character, eg, charToGlyphName('\\') returns "backslash"
`static java.lang.String` | `glyphToString(java.lang.String name)` Deprecated. Return the glyphname from a string, eg, glyphToString("\\") returns "backslash"
`static java.lang.String` | `stringToGlyph(java.lang.String name)` Deprecated. Return the string representation of a glyphname, eg stringToGlyph("backslash") returns "\\"

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NOTDEF

    public static final java.lang.String NOTDEF

  Deprecated.
  Glyph name for the "notdef" glyph

  See Also:
    Constant Field Values

### MAC_GLYPH_NAMES

    public static final java.lang.String[] MAC_GLYPH_NAMES

  Deprecated.
  Glyph names for Mac encoding

### TEX8R_GLYPH_NAMES

    public static final java.lang.String[] TEX8R_GLYPH_NAMES

  Deprecated.
  Glyph names for tex8r encoding

### WINANSI_ENCODING

    public static final char[] WINANSI_ENCODING

  Deprecated.
  The characters in WinAnsiEncoding

### UNICODE_GLYPHS

    public static final java.lang.String[] UNICODE_GLYPHS

  Deprecated.
  List of unicode glyphs

Method Detail

### charToGlyphName

    public static java.lang.String charToGlyphName(char ch)

  Deprecated.
  Return the glyphname from a character, eg, charToGlyphName('\\') returns "backslash"

  Parameters:
    `ch` - glyph to evaluate
  Returns:
    the name of the glyph

### glyphToString

    public static java.lang.String glyphToString(java.lang.String name)

  Deprecated.
  Return the glyphname from a string, eg, glyphToString("\\") returns "backslash"

  Parameters:
    `name` - glyph to evaluate
  Returns:
    the name of the glyph TODO: javadocs for glyphToString and stringToGlyph are confused TODO: Improve method names

### stringToGlyph

    public static java.lang.String stringToGlyph(java.lang.String name)

  Deprecated.
  Return the string representation of a glyphname, eg stringToGlyph("backslash") returns "\\"

  Parameters:
    `name` - name of the glyph
  Returns:
    the string representation

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2016 The Apache Software Foundation. All Rights Reserved.